package com.ruoyi.dxp.dto.redis;

import java.io.Serializable;

/**
 * 服务参数对象
 */
public class RedisServiceParamDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String paramName;

    private String paramComment;

    private String paramType;

    private String dataType;

    private Integer isRequired;

    private RedisDesensitizationRuleDto desensitizationRule;

    private String remark;

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamComment() {
        return paramComment;
    }

    public void setParamComment(String paramComment) {
        this.paramComment = paramComment;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public RedisDesensitizationRuleDto getDesensitizationRule() {
        return desensitizationRule;
    }

    public void setDesensitizationRule(RedisDesensitizationRuleDto desensitizationRule) {
        this.desensitizationRule = desensitizationRule;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
